cURL
curl --request POST \ --url https://api.engrate.io/schedule-management/v1/schedules \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "market": "<string>", "tso": "<string>", "receiver_id": "<string>", "series": [ { "type": "<string>", "ids": { "in_area": "<string>", "out_area": "<string>", "in_party": "<string>", "out_party": "<string>", "market_agreement_id": "<string>" }, "data": [ { "ts": "<string>", "amount": 0 } ] } ], "date": "<string>", "test": false } '
{ "uid": "<string>", "schedule_uid": "<string>", "org_uid": "<string>", "version": 123, "status": "<string>", "acceptance_level": "<string>", "created_ts": "<string>", "last_modified_ts": "<string>", "spec": { "market": "<string>", "tso": "<string>", "sender_id": "<string>", "receiver_id": "<string>", "series": [ { "uid": "<string>", "time_series_uid": "<string>", "type": "<string>", "in_area": "<string>", "out_area": "<string>", "in_party": "<string>", "out_party": "<string>", "ts_version": 1 } ] }, "message_id": "<string>", "is_active": true, "warnings": [ { "code": "<string>", "text": "<string>" } ], "nrr_received": true, "transmission_report_id": "<string>" }
Create a new schedule or new version of existing schedule.
The submission flow:
Request body for creating a new schedule.
50
Show child attributes
Successful Response
Response model for ScheduleVersion - matches eg-app contract.
Spec structure for schedule version.
Was this page helpful?